Search found 34 matches

Go to advanced search

by 2cv001
Mon Jun 01, 2020 9:47 am
Forum: Forum français
Topic: enregistrer la taille de la grille dans un projet
Replies: 5
Views: 179

Re: enregistrer la taille de la grille dans un projet

J'en profite pour demander s'il est possible d'avoir une grille par défaut qui a certaines caractéristiques (visible ou pas, taille...)
by 2cv001
Wed May 13, 2020 6:21 am
Forum: Forum français
Topic: int perp ext
Replies: 8
Views: 217

Re: int perp ext

En fait, je passe toujours par partDesign pour faire les pièces et donc par Sketch.
Je me suis fait sans problème à la philosophie de Sketch, mais des fois, je trouve que les 'accrobj' manquent pour aller plus vite.
by 2cv001
Wed May 13, 2020 5:27 am
Forum: Forum français
Topic: int perp ext
Replies: 8
Views: 217

Re: int perp ext

Merci pour vos réponses !

Effectivement, l'accrochage des objet de l'atelier Draft correspond pas mal au besoin, mais comment l'incorporer dans l'atelier Sketch ?
Désolé, c'est peut être une question trivial mais je suis assez débutant...
by 2cv001
Tue May 12, 2020 3:04 pm
Forum: Forum français
Topic: Comprendre les "attachment"
Replies: 31
Views: 828

Re: Comprendre les "attachment"

Là, j'avoue que ça me dépasse un peu. Je vais essayer de comprendre car au minimum, j'ai l'impression qu'il y a des morceaux de code très intéressant. Notamment, Dans les deux cas, le texte se met bien sur la face (si pas de face en biais) mais il n'est pas forcément comme on le veut par exemple, on...
by 2cv001
Tue May 12, 2020 6:57 am
Forum: Forum français
Topic: int perp ext
Replies: 8
Views: 217

int perp ext

Bonjour ! Quand je dessinait dans autocad, il y a très longtemps :D, j'utilisait beaucoup les ext, int,mil etc. Et je trouve que c'était très pratique. Je m'explique : Dans in sketch, On a par exemple déjà 2 lignes et l'on veut tracer une ligne qui part du milieu d'une ligne et qui arrive sur l'autr...
by 2cv001
Mon May 11, 2020 5:01 pm
Forum: Forum français
Topic: Comprendre les "attachment"
Replies: 31
Views: 828

Re: Comprendre les "attachment"

@Mario52 Merci pour l'info de nouvelleShapeString.Shape.BoundBox.XLength nouvelleShapeString.Shape.BoundBox.YLength nouvelleShapeString.Shape.BoundBox.ZLength Ca ouvre des perspectives ! Mais bizarrement, en remplaçant à la fin nouvelleShapeString.Placement.Base.x=CentreDesMasses[0] nouvelleShapeStr...
by 2cv001
Mon May 11, 2020 2:34 pm
Forum: Forum français
Topic: Comprendre les "attachment"
Replies: 31
Views: 828

Re: Comprendre les "attachment"

Donc le même source mais en utilisant "CenterOfMass" import FreeCAD, FreeCADGui, Draft#, Part import Part import PartDesign from FreeCAD import Base import statistics from statistics import mean ### Valeurs à adapter à vos besoins FichierPoliceDeCaracteres="C:/Windows/Fonts/ARIAL.TTF" # pb si on est...
by 2cv001
Mon May 11, 2020 10:51 am
Forum: Forum français
Topic: Comprendre les "attachment"
Replies: 31
Views: 828

Re: Comprendre les "attachment"

Et donc un code qui marche pas trop mal, mais à perfectionner ! import FreeCAD, FreeCADGui, Draft#, Part import Part import PartDesign from FreeCAD import Base import statistics from statistics import mean ### Valeurs à adapter à vos besoins FichierPoliceDeCaracteres="C:/Windows/Fonts/ARIAL.TTF" # p...
by 2cv001
Mon May 11, 2020 8:20 am
Forum: Forum français
Topic: Comprendre les "attachment"
Replies: 31
Views: 828

Re: Comprendre les "attachment"

Et pour compléter, j'ai enfin réussi à trouver comment récupérer les coordonnées des points du contour de la face sélectionnée Là, je calcul même aussi un genre de point milieu qui, dasn ma tête, au moins au départ aurait été le point d'accrochage du texte. import FreeCAD import Part import PartDesi...
by 2cv001
Mon May 11, 2020 6:32 am
Forum: Forum français
Topic: Comprendre les "attachment"
Replies: 31
Views: 828

Re: Comprendre les "attachment"

Effectivement, je vais explorer l'idée de détacher. Pour si ça peut vous donner des idées, voilà où j'en suis : Pour le lancer, il faut avoir auparavant sélectionner une face. Attention, changez la ligne au début qui donne le fichier de police de caractères. import FreeCAD, FreeCADGui, Draft#, Part ...

Go to advanced search